GET /versions/{versionId}/export/{format}
Summary: Export
Operation ID: GET_versions-versionId-export-format
Auth: unknown
Operation ID: GET_versions-versionId-export-format
Auth: unknown
Description
Export a version to your choice of API specification. ### Allowed Formats: - oas.json - oas.yaml - raml08.yaml - raml10.yaml - stoplight.json - stoplight.yaml The stoplight format actually returns OAS (Swagger 2) with x-stoplight annotations. If you are exporting with the intent on importing back into Stoplight, this export format preserves the most information. ### Example URL: `https://api.stoplight.io/v1/versions/123/export/oas.json`
Parameters (2)
format
(string, path, required, default: oas.json)
The specification / format that you want to export.
Constraints: {'enum': ['oas.json', 'oas.yaml', 'raml08.yaml', 'raml10.yaml', 'stoplight.json', 'stoplight.yaml']}
versionId
(string, path, required)
This is the unique identifier for the version.
No probe data for this endpoint yet.